# TODO
#  Aug 14 13:19:00 haarber gnome-keyring-daemon[6524]: couldn't list keyrings at: /etc/certs: Error opening directory '/etc/certs': Permission denied
#
# Conditional build:
%bcond_with	p11_tests	# PKCS#11 tests
#
Summary:	Keep passwords and other user's secrets
Summary(pl.UTF-8):	Przechowywanie haseł i innych tajnych danych użytkowników
Name:		gnome-keyring
Version:	3.20.1
Release:	1
License:	LGPL v2+ (library), GPL v2+ (programs)
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-keyring/3.20/%{name}-%{version}.tar.xz
# Source0-md5:	9b4b2c59dc1db3a1309cbe1fa1f2c2e7
URL:		http://live.gnome.org/GnomeKeyring
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.12
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gcr-devel >= 3.5.3
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.38.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libcap-ng-devel
BuildRequires:	libgcrypt-devel >= 1.2.2
BuildRequires:	libselinux-devel
# for some test only
BuildRequires:	libtasn1-devel >= 0.3.4
BuildRequires:	libtool
BuildRequires:	p11-kit-devel >= 0.16
%{?with_p11_tests:BuildRequires:	p11-tests-devel >= 0.1}
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.38.0
Requires:	filesystem >= 4.0-28
Requires:	gcr >= 3.5.3
Requires:	glib2 >= 1:2.38.0
Requires:	hicolor-icon-theme
Requires:	p11-kit >= 0.16
Conflicts:	rpm < 4.4.2-0.2
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/%{name}

%description
GNOME Keyring is a program that keeps password and other secrets for
users. It is run as a daemon in the session, similar to ssh-agent, and
other applications can locate it by an environment variable.

%description -l pl.UTF-8
GNOME Keyring to program do przechowywania haseł i innych tajnych
danych użytkowników. Działa jako demon w sesji, podobnie do
ssh-agenta, a inne aplikacje mogą znaleźć go poprzez zmienną
środowiskową.

%package -n pam-pam_gnome_keyring
Summary:	A PAM module for unlocking keyrings at login time
Summary(pl.UTF-8):	Moduł PAM do odblokowywania zbiorów kluczy w czasie logowania
License:	LGPL v2+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	gnome-keyring-pam

%description -n pam-pam_gnome_keyring
A PAM module that can automatically unlock the "login" keyring when
the user logs in and start the keyring daemon.

%description -n pam-pam_gnome_keyring -l pl.UTF-8
Moduł PAM, który może automatycznie odblokowywać zbiór kluczy "login"
w czasie logowania użytkownika i uruchamiania demona keyring.

%prep
%setup -q

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_p11_tests:--disable-p11-tests} \
	--with-pam-dir=/%{_lib}/security \
	--with-root-certs=%{_sysconfdir}/certs \
	--with-ca-certificates=%{_sysconfdir}/certs/ca-certificates.crt
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-pam \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT/%{_lib}/security/pam_gnome_keyring.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/pkcs11/gnome-keyring-pkcs11.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gnome-keyring/devel/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gnome-keyring
%attr(755,root,root) %{_bindir}/gnome-keyring-3
%attr(755,root,root) %{_bindir}/gnome-keyring-daemon
%attr(755,root,root) %{_libdir}/pkcs11/gnome-keyring-pkcs11.so
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/devel
%attr(755,root,root) %{_libdir}/%{name}/devel/gkm-gnome2-store-standalone.so
%attr(755,root,root) %{_libdir}/%{name}/devel/gkm-secret-store-standalone.so
%attr(755,root,root) %{_libdir}/%{name}/devel/gkm-ssh-store-standalone.so
%attr(755,root,root) %{_libdir}/%{name}/devel/gkm-xdg-store-standalone.so
%{_sysconfdir}/xdg/autostart/gnome-keyring-pkcs11.desktop
%{_sysconfdir}/xdg/autostart/gnome-keyring-secrets.desktop
%{_sysconfdir}/xdg/autostart/gnome-keyring-ssh.desktop
%{_datadir}/GConf/gsettings/org.gnome.crypto.cache.convert
%{_datadir}/dbus-1/services/org.freedesktop.secrets.service
%{_datadir}/dbus-1/services/org.gnome.keyring.service
%{_datadir}/glib-2.0/schemas/org.gnome.crypto.cache.gschema.xml
%{_datadir}/p11-kit/modules/gnome-keyring.module
%{_mandir}/man1/gnome-keyring.1*
%{_mandir}/man1/gnome-keyring-3.1*
%{_mandir}/man1/gnome-keyring-daemon.1*

%files -n pam-pam_gnome_keyring
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/security/pam_gnome_keyring.so
%changelog
* Sat Jul 15 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-keyring.git;a=log;h=master

* Sat Jul 15 2017 Jakub Bogusz <qboosh@pld-linux.org> b335020
- updated to 3.20.1

* Fri Mar 25 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 671bb10
- Update to 3.20.0

* Mon Oct 26 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 9e2f78d
- Update to 3.18.3

* Sat Oct 24 2015 Jan Palus <atler@pld-linux.org> a6c3ee5
- added upstream patch to fix firefox hang if used with gnome-keyring

* Wed Oct 21 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 2a79e10
- Update to 3.18.2

* Sun Oct 18 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 65ec29b
- Update to 3.18.1

* Sat Oct 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 871a958
- dependencies cleanup, verbose files in common dirs

* Mon Sep 28 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 26ac63c
- Update to 3.18.0

* Fri Jul 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 77350ae
- updated to 3.16.0

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> 2f9bd42
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 587852c
- updated gettext BR

* Tue Sep 30 2014 Łukasz Kieś <kiesiu@pld-linux.org> 23c4d8c
- updated to 3.14.0

* Wed May 14 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 98ba999
- Update to 3.12.2

* Thu Mar 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 0a2579d
- updated to 3.12.0

* Mon Dec 30 2013 Jakub Bogusz <qboosh@pld-linux.org> b45eef1
- %{_libdir}/pkcs11 dir is owned by filesystem now

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> fa61874
- release 2 (by relup.sh)

* Thu Oct 17 2013 Marcin Banasiak <marcin.banasiak@gmail.com> dd563ad
- Update to 3.10.1

* Sat Sep 28 2013 Jakub Bogusz <qboosh@pld-linux.org> 1d00f7e
- updated to 3.10.0

* Sun May 12 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 6c6c2b8
- Update to 3.8.2

* Tue Apr 16 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 3dcc672
- Update to 3.8.1

